Bug 518525 - Audacious always shows up on all workspaces on startup
Summary: Audacious always shows up on all workspaces on startup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: audacious
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 18:15 UTC by Christopher Beland
Modified: 2009-09-23 15:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-21 08:42:44 UTC


Attachments (Terms of Use)

Description Christopher Beland 2009-08-20 18:15:51 UTC
Whenever I start up audacious, whether from the command line or from the Gnome menu, it appears on all workspaces.  The "Always on Visible Workspace" parameter is on when examining the window in the Window List.

This is probably good behavior by default, but I have a workspace dedicated to audio applications, and I want audacious to appear only in that workspace.  I can do this if I move audacious to that workspace, so that's not a problem.  What's missing is that the system forgets about this preference the next time I start audacious.  It's gotten rather annoying to have to move the application on every startup.

Versions:
audacious-1.5.1-9.fc11.i586
gnome-panel-2.26.3-1.fc11.i586

Comment 1 Michael Schwendt 2009-08-21 08:42:44 UTC
This is not the default.

I assume you have configured Audacious for "sticky=TRUE", i.e. "Menu > View > Put on all Workspaces (Ctrl+S)".

Comment 2 Christopher Beland 2009-09-23 15:21:45 UTC
Aha, you are correct.  I must have done that a long time ago.  I didn't even see that menu item there; I would have expected something like that to be in the main Preferences area.

Bug 525173 (Audacious workspace preferences should sync with window manager) filed as followup to improve usability.


Note You need to log in before you can comment on or make changes to this bug.